Page MenuHomePhabricator

Change Korean Wikipedia archive model to weekly
Closed, ResolvedPublic

Description

It was Monthly (T213186), but Community decided to change it to the "Weekly" model.

New format is 위키백과:질문방/YYYY년 제WW주. (when WW is below 10, there's no 0 preceding, so Week 9 is 제9주, not 제09주.)

Event Timeline

revi created this task.Jun 3 2020, 3:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2020, 3:20 PM
revi moved this task from Incoming to Radar on the User-revi board.Jun 3 2020, 3:21 PM
revi updated the task description. (Show Details)Jun 3 2020, 3:23 PM

@Trizek-WMF @revi -- could you tell us more about the necessary timeline here, so we can decide when to prioritize this work?

revi added a comment.Jul 6 2020, 8:16 AM

@MMiller_WMF: it's been decided by the time this was filed, waiting for WMF to change the logic.

revi added a comment.Jul 6 2020, 8:16 AM

@MMiller_WMF: it's been decided by the time this was filed, waiting for WMF to change the logic.

So, in short, as soon as possible.

@revi is there a template on kowiki we can use for this? Currently for kowiki we have GEHelpPanelHelpDeskTitle defined as 위키백과:질문방/{{Y-M|0}}. We need a template that will generate the 제9주 bit that you've specified above.

revi added a comment.Jul 8 2020, 2:18 PM
From the task description

New format is 위키백과:질문방/YYYY년 제WW주. (when WW is below 10, there's no 0 preceding, so Week 9 is 제9주, not 제09주.)

@revi is there a template on kowiki we can use for this? Currently for kowiki we have GEHelpPanelHelpDeskTitle defined as 위키백과:질문방/{{Y-M|0}}. We need a template that will generate the 제9주 bit that you've specified above.

I am not sure what you mean by "template" other than the one specified in the task description.

@revi, I mean https://ko.wikipedia.org/wiki/%ED%8B%80:Y%EB%85%84_M%EC%9B%94 (ko.wikipedia.org/wiki/Template:Y-M) is a thing, which lets us do {{Y-M|O}} in our help desk title configuration. Is there a template on kowiki that we could use in our help desk title configuration?

revi added a comment.Jul 22 2020, 8:18 AM

That is probably...

{{위키백과:질문방/{{#timel:o|-14 days}}년 제{{#expr:{{#timel:W|-14 days}}}}주}}
{{위키백과:질문방/{{#timel:o|-7 days}}년 제{{#expr:{{#timel:W|-7 days}}}}주}}
{{위키백과:질문방/{{#timel:o}}년 제{{#expr:{{#timel:W}}}}주}}

(stolen from WP:VP which shares/will share the same syntax)

revi added a comment.Fri, Sep 25, 6:24 PM

@kostajh is ^ sufficient or do you need something more?

Frwiktionary has the following config:

'frwiktionary' => 'Wiktionnaire:Entraide/{{#time:F Y}}',

so,

'kowiki' => '위키백과:질문방/{{#time:o}}/{{#time:W}}',

should work?

@revi: Right now, that config would parse to 위키백과:질문방/2020/40 . If that looks correctly, changing the target should be a simple config change (wgGEHelpPanelHelpDeskTitle, if you wanna to upload a patch).

revi added a comment.Fri, Oct 2, 7:10 PM

hmm no, the syntax is {{YYYY}}년 제{{WW}}주, so it would become 2020년 제11주. so I guess the syntax is 'kowiki' => '위키백과:질문방/{{#time:o}}년 제{{#time:W}}주',.

Change 631854 had a related patch set uploaded (by Revi; owner: Revi):
[operations/mediawiki-config@master] GrowthExperiments: Change Help Page URL for kowiki

https://gerrit.wikimedia.org/r/631854

revi moved this task from Radar to Doing on the User-revi board.Fri, Oct 2, 7:43 PM

Change 631854 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Change Help Page URL for kowiki

https://gerrit.wikimedia.org/r/631854

Mentioned in SAL (#wikimedia-operations) [2020-10-06T11:07:10Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 5f9721b3300c8e733d331bcbc754d31d9493f8ba: GrowthExperiments: Change Help Page URL for kowiki (T254364) (duration: 01m 00s)

revi closed this task as Resolved.Tue, Oct 6, 11:10 AM
revi claimed this task.
revi triaged this task as Medium priority.
revi moved this task from Doing to Closed on the User-revi board.

Deployed. (Thanks Martin)